function res = ExtraireParametresTR(T)
% res = ExtraireParametresTR(T)
%
% Extrait les 6 parametres 
%   res=[gamma_z; b_z; alpha_z; dz; theta_z; rz] 
% definissant la transformation rigide T :
%
% T=Rot('z',gamma_z)*Trans('z',b_z)...
%   *Rot('z',alpha_z)*Trans('z',dz)...
%   *Rot('z',theta_z)*Trans('z',rz)

theta_z=atan2(T(3,1),T(3,2));
toto=norm(T(3,1:2));
alpha_z=atan2(sign(sin(theta_z))*sign(T(3,1))*sqrt(toto),T(3,3));
gamma_z=atan2(T(1,3),-T(2,3));
M=[ 0, sin(gamma_z)*sin(alpha_z), cos(gamma_z); ...
    0, -cos(gamma_z)*sin(alpha_z), sin(gamma_z); ...
    1, cos(alpha_z),0];

aux=pseudoinv(M)*T(1:3,4);
  
b_z=aux(1);
r_z=aux(2);
d_z=aux(3);

res=[gamma_z; b_z; alpha_z; d_z; theta_z; r_z];
