function [ J ]=MCD(q,Ksi,sigma)
% Calcule le Jacobien de l'effecteur
% par rapport a son repere de base, i.e.
% J(q)=\partial MGD(q) / \partial q
% Ksi est un vecteur 5n contenant les parametres
% % - (beta_i, alpha_i, d_i, theta_i, r_i) de i-1Ti, i=1:n
%    avec (theta_i,r_i)=(theta_i, offset) si sigma(i)
%                       (offset, r_i) sinon

nbArt=size(q,1);
if (nbArt~=size(sigma,1))|(5*nbArt~=size(Ksi,1))
   disp('Erreur de dimensions')
else
  T=eye(4,4); 
  J=eye(6,nbArt);
  for i=1:nbArt
    if sigma(i)
      T=T*Rot('y',Ksi(5*i-4))*Rot('x',Ksi(5*i-3))...
        *Trans('x',Ksi(5*i-2))*Rot('z',Ksi(5*i-1))...
        *Trans('z',q(i)+Ksi(5*i));
      % i.e. T=T*Rot('y',beta_i)*Rot('x',alpha_i)...
      %  *Trans('x',d_i)*Rot('z',theta_i)...
      %   *Trans('z',q(i)+offset_i);
    else
      T=T*Rot('y',Ksi(5*i-4))*Rot('x',Ksi(5*i-3))...
        *Trans('x',Ksi(5*i-2))*Rot('z',Ksi(5*i-1)+q(i))...
        *Trans('z',Ksi(5*i));
      % i.e. T=T*Rot('y',beta_i)*Rot('x',alpha_i)...
      %  *Trans('x',d_i)*Rot('z',q(i)+offset_i)...
      %   *Trans('z',r_i);
    end
    if rep    
      Reperes(4*i-3:4*i,:)=T;
    end
  end
end
Reperes=[eye(4,4);Reperes];
